# ReadableVector4f (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util.vector
Interface ReadableVector4f

All Superinterfaces:
  ReadableVector, ReadableVector2f, ReadableVector3f

All Known Implementing Classes:
  Quaternion, Vector4f

    public interface ReadableVector4f

extends ReadableVector3f

Author:
  foo

Method Summary
`float` `getW()`

Methods inherited from interface org.lwjgl.util.vector.ReadableVector3f
`getZ`

Methods inherited from interface org.lwjgl.util.vector.ReadableVector2f
`getX, getY`

Methods inherited from interface org.lwjgl.util.vector.ReadableVector
`length, lengthSquared, store`

Method Detail

### getW

    float getW()

  Returns:
    w

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.